Read the current device's finite Mobile Coach preferences
GET
/v1/mobile/coach/preferences
const url = 'https://api.vocapable.com/v1/mobile/coach/preferences';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/mobile/coach/preferences \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
MobileCoachPreferences
The entire finite Coach state for the authenticated current device.
object
Example
{ "telemetry_opt_in": false, "recommendations": [ { "key": "team_coverage", "state": "active" } ]}